Package org.apache.sysds.hops.codegen.template

## Class CPlanMemoTable.MemoTableEntrySet

- java.lang.Object
- - org.apache.sysds.hops.codegen.template.CPlanMemoTable.MemoTableEntrySet

Enclosing class:
  CPlanMemoTable

    public static class CPlanMemoTable.MemoTableEntrySet
    extends Object

### Field Summary

Fields
`ArrayList<CPlanMemoTable.MemoTableEntry>` `plans`

### Constructor Summary

Constructors
`MemoTableEntrySet​(Hop hop, Hop c, TemplateBase tpl)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `crossProduct​(int pos, Long... refs)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### plans

    public ArrayList<CPlanMemoTable.MemoTableEntry> plans

### Constructor Detail

#### MemoTableEntrySet

    public MemoTableEntrySet​(Hop hop,
                             Hop c,
                             TemplateBase tpl)

### Method Detail

#### crossProduct

    public void crossProduct​(int pos,
                             Long... refs)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`